import fetchAPI from '../utils/fetch'

export default {
  getBookingList (params) {
    return fetchAPI('booking/', 'get', null, params)
  },
  createBooking (booking) {
    return fetchAPI('booking/', 'post', booking)
  },
  getBooking (id) {
    return fetchAPI(`booking/${id}/`, 'get')
  },
  cancelBooking (id, data) {
    return fetchAPI(`booking/${id}/cancel/`, 'post', data)
  },
  getStatusList () {
    return fetchAPI('booking/statusList/', 'get')
  }
}